[Scipy-tickets] [SciPy] #320: TypeError: array cannot be safely cast to required type

SciPy scipy-tickets at scipy.net
Wed Nov 29 13:31:45 CST 2006


#320: TypeError: array cannot be safely cast to required type
-------------------------------------------+--------------------------------
 Reporter:  bugs-scipy at thewrittenword.com  |       Owner:  somebody
     Type:  defect                         |      Status:  new     
 Priority:  normal                         |   Milestone:          
Component:  Other                          |     Version:          
 Severity:  normal                         |    Keywords:          
-------------------------------------------+--------------------------------
 I compiled numpy-1.0 and SciPy-0.5.1 on RHEL 4/x86 against a custom-built
 Python 2.4.2:
   $ python
   >>> import scipy
   >>> scipy.test(1)
   ...
 ======================================================================
 ERROR: Solve: single precision complex
 ----------------------------------------------------------------------
 Traceback (most recent call last):
   File
 "/opt/TWWfsw/scipy05/lib/python242/scipy/linsolve/umfpack/tests/test_umfpack.py",
 line 25, in check_solve_complex_without_umfpack
     x = linsolve.spsolve(a, b)
   File "/opt/TWWfsw/scipy05/lib/python242/scipy/linsolve/linsolve.py",
 line 76, in spsolve
     return gssv(N, lastel, data, index0, index1, b, csc, permc_spec)[0]
 TypeError: array cannot be safely cast to required type

-- 
Ticket URL: <http://projects.scipy.org/scipy/scipy/ticket/320>
SciPy <http://www.scipy.org/>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list